// app/layout.tsx (Server Component)
import { auth } from "@/auth";
import LayoutClient from "@/app/components/LayoutClient";

export default async function Layout({ children }: { children: React.ReactNode }) {
  const session = await auth();

  return (
    <LayoutClient session={session}>
      {children}
    </LayoutClient>
  );
}